Bug 1009051 - mtr doesn't wait for last packets sent out and exits immediately
mtr doesn't wait for last packets sent out and exits immediately
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 10:45 EDT by Michal Sekletar
Modified: 2013-10-18 15:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: mtr-0.84-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1014073 (view as bug list)
Environment:
Last Closed: 2013-10-15 02:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 776211 None None None Never

  None (edit)
Description Michal Sekletar 2013-09-17 10:45:13 EDT
Description of problem:
When in report mode with configured number of cycles, mtr exits when number of cycles is reached. However some packets are still on the way, now mtr doesn't wait for them thus producing inaccurate statistics.

Version-Release number of selected component (if applicable):
mtr-0.84-2

How reproducible:
always

Steps to Reproduce:
1. mtr -r -c 10 www.stanford.edu

Actual results:
Packet loss reported for the destination host

Expected results:
No packet loss reported for the destination host

Additional info:
This bug was not entirely correctly fixed in mtr-0.81 (we always sent out more packets to each host then configured number of cycles), but then patch for this got removed in v0.82 without mentioning this in NEWS.

Bug was originally reported here:
https://bugs.launchpad.net/mtr/+bug/776211

Reproducer might depend on your geographic location and hopcount to the destination host.
Comment 1 Michal Sekletar 2013-09-17 11:15:53 EDT
Created github pull request in order to get this back upstream.

https://github.com/traviscross/mtr/pull/31
Comment 2 Michal Sekletar 2013-09-18 08:26:04 EDT
Patch has been merged https://github.com/traviscross/mtr/commit/6ce1601b27fdd95b44ed65d7fd83604860276d63
Comment 3 Fedora Update System 2013-10-08 10:43:19 EDT
mtr-0.84-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mtr-0.84-3.fc19
Comment 4 Fedora Update System 2013-10-08 10:49:12 EDT
mtr-0.85-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mtr-0.85-3.fc20
Comment 5 Fedora Update System 2013-10-09 10:51:21 EDT
Package mtr-0.85-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mtr-0.85-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18584/mtr-0.85-3.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-15 02:40:20 EDT
mtr-0.85-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-18 15:56:42 EDT
mtr-0.84-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.